itpp::Event< ObjectType > Class Template Reference

An Event class that executes a function when the event expires. More...

`#include <itpp/protocol/events.h>`

Inheritance diagram for itpp::Event< ObjectType >:

## Public Member Functions

| Event (ObjectType *object_pointer, void(ObjectType::*object_function_pointer)(), const Ttype delta_time)
| Construct an Event to expire delta_time from now by calling the function (*object_pointer.*object_function_pointer)()
virtual | ~Event ()
| Destructor.
virtual void | exec (void)
| Execute (call) the assigned function.
void | cancel ()
| Cancel an event.

## Protected Attributes

Ttype | delta_t
| ADD DOCUMENTATION HERE.
Ttype | expire_t
| ADD DOCUMENTATION HERE.
bool | active
| ADD DOCUMENTATION HERE.
unsigned long long int | id
| ADD DOCUMENTATION HERE.

## Static Protected Attributes

static unsigned long long int | global_id = 0
| ADD DOCUMENTATION HERE.

## Detailed Description

template<class ObjectType>
class itpp::Event< ObjectType >

An Event class that executes a function when the event expires.

Since Events are objects you need supply both a pointer to the object and the function pointer to create the Event

Definition at line 164 of file events.h.

## Constructor & Destructor Documentation

## Event()

template<class ObjectType >

itpp::Event< ObjectType >::Event | ( | ObjectType * | object_pointer,
|  | void(ObjectType::*)() | object_function_pointer,
|  | const Ttype | delta_time
| ) |  |

inline

Construct an Event to expire delta_time from now by calling the function (*object_pointer.*object_function_pointer)()

Definition at line 168 of file events.h.

## ~Event()

template<class ObjectType >

virtual itpp::Event< ObjectType >::~Event | ( |  | ) |

inlinevirtual

Destructor.

Definition at line 174 of file events.h.

## Member Function Documentation

## exec()

template<class ObjectType >

virtual void itpp::Event< ObjectType >::exec | ( | void |  | ) |

inlinevirtual

Execute (call) the assigned function.

Implements itpp::Base_Event.

Definition at line 177 of file events.h.

## cancel()

void itpp::Base_Event::cancel | ( |  | ) |

inlineinherited

Cancel an event.

Definition at line 90 of file events.h.

References itpp::Base_Event::active.

## Member Data Documentation

## delta_t

Ttype itpp::Base_Event::delta_t

protectedinherited

ADD DOCUMENTATION HERE.

Definition at line 96 of file events.h.

Referenced by itpp::Event_Queue::add(), and itpp::Base_Event::Base_Event().

## expire_t

Ttype itpp::Base_Event::expire_t

protectedinherited

ADD DOCUMENTATION HERE.

Definition at line 98 of file events.h.

Referenced by itpp::Event_Queue::add(), and itpp::Base_Event::Base_Event().

## active

bool itpp::Base_Event::active

protectedinherited

ADD DOCUMENTATION HERE.

Definition at line 100 of file events.h.

Referenced by itpp::Base_Event::Base_Event(), and itpp::Base_Event::cancel().

## id

unsigned long long int itpp::Base_Event::id

protectedinherited

ADD DOCUMENTATION HERE.

Definition at line 102 of file events.h.

## global_id

unsigned long long int itpp::Base_Event::global_id = 0

staticprotectedinherited

ADD DOCUMENTATION HERE.

Definition at line 104 of file events.h.

Referenced by itpp::Base_Event::Base_Event().

The documentation for this class was generated from the following file:

- itpp/protocol/events.h

Generated on Mon Jun 10 2024 11:49:35 for IT++ by Doxygen 1.9.8